Add JWKS URL

Adds a JWKS URL to the specified project for verifying JWTs used as the authentication mechanism.

The URL must be a valid HTTPS URL that returns a JSON Web Key Set.

The provider_name field allows you to specify which authentication provider you're using (e.g., Clerk, Auth0, AWS Cognito).

The branch_id scopes the JWKS URL to specific branches; if not specified, it applies to all branches.

The role_names scopes the URL to specific roles; if not specified, default roles are used (authenticator, authenticated, anonymous).

The jwt_audience specifies which aud values are accepted in JWTs.

Path Params
string
required
^[a-z0-9-]{1,60}$

The Neon project ID

Body Params

Add a new JWKS to a specific endpoint of a project

string
required

URL of the provider's JWKS endpoint used to verify JWTs.

string
required

The name of the authentication provider (e.g., Clerk, Stytch, Auth0)

string
^[a-z0-9-]{1,60}$

The Neon branch ID. Returned as id from GET /projects/{project_id}/branches.

string

Expected aud claim in incoming JWTs. When set, tokens with a different audience are rejected; tokens with no audience are still accepted. Omit to skip audience validation.

role_names
array of strings
length between 0 and 10
deprecated

Deprecated. The roles the JWKS should be mapped to. By default, the JWKS is mapped to the authenticator, authenticated, and anonymous roles.

role_names
boolean
Defaults to false

Deprecated. Only used with Neon RLS. If true, role creation is skipped.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json